Package com.redhat.et.libguestfs

# Class VG

java.lang.Object
com.redhat.et.libguestfs.VG

public class VG extends Object
VG structure.

See Also:
  - `GuestFS`

## Field Summary

Fields
Modifier and Type
Field
Description
`long`
`lv_count`
`long`
`max_lv`
`long`
`max_pv`
`long`
`pv_count`
`long`
`snap_count`
`String`
`vg_attr`
`long`
`vg_extent_count`
`long`
`vg_extent_size`
`String`
`vg_fmt`
`long`
`vg_free`
`long`
`vg_free_count`
`long`
`vg_mda_count`
`long`
`vg_mda_free`
`String`
`vg_name`
`long`
`vg_seqno`
`long`
`vg_size`
`String`
`vg_sysid`
`String`
`vg_tags`
`String`
`vg_uuid`

## Constructor Summary

Constructors
Constructor
Description
`VG()`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### vg_name

public String vg_name

### vg_uuid

public String vg_uuid

### vg_fmt

public String vg_fmt

### vg_attr

public String vg_attr

### vg_size

public long vg_size

### vg_free

public long vg_free

### vg_sysid

public String vg_sysid

### vg_extent_size

public long vg_extent_size

### vg_extent_count

public long vg_extent_count

### vg_free_count

public long vg_free_count

### max_lv

public long max_lv

### max_pv

public long max_pv

### pv_count

public long pv_count

### lv_count

public long lv_count

### snap_count

public long snap_count

### vg_seqno

public long vg_seqno

### vg_tags

public String vg_tags

### vg_mda_count

public long vg_mda_count

### vg_mda_free

public long vg_mda_free

## Constructor Details

### VG

public VG()